<template>
    <section class="ab-info-main py-md-5 py-4 editContent single">
        <div class="container py-md-4">
            <div class="row">
                <div class="left-ads-display col-lg-10">
                    <div class="row">
                        <div class="desc1-left col-md-6">
                            <img :src="restaurant.photo" class="img-fluid" alt="">
                        </div>
                        <div class="desc1-right col-md-6 pl-lg-4">
                            <h3 class="editContent">{{restaurant.name}}</h3>
                            <ul>
                                <li class="li-restaurant">
                                    <span><b>Address:</b>
                                        <span v-for="addres in restaurant.address" :key="addres.id">
                                            {{addres.street}}
                                            {{addres.zip_code}}
                                            {{addres.location}}
                                            {{addres.country}}
                                        </span>
                                    </span>
                                </li>
                                <ul class="stars">
                                    Stars: <li v-for="star in listStar" :key="star">
                                        <a href="#">
                                            <span class="fa":class="star <= restaurant.middle_star ? 'fa-star' : 'fa-star-o' "aria-hidden="true"></span>
                                        </a>
                                    </li>
                                </ul>
                                <div class="share-desc">
                                    <div class="share">
                                        <h4 class="editContent">
                                            Share:</h4>
                                        <ul class="w3layouts_social_list list-unstyled">
                                            <li>
                                                <a href="#" class="w3pvt_facebook editContent">
                                                <span class="fa fa-facebook-f"></span>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#" class="w3pvt_twitter editContent">
                                                <span class="fa fa-twitter"></span>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#" class="w3pvt_dribble editContent">
                                                <span class="fa fa-dribbble"></span>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            </ul>
                        </div>
                    </div>
                    <hr>
                    <Ratings :ratings="restaurant.ratings" :restaurant="restaurant.id" @reLoad="loadRestaurant"/>
                </div>
            </div>
        </div>
    </section>
</template>

<script>
    import Ratings from "../components/Ratings";
    export default {
        name: "Single",
        props: ['id'],
        components: {Ratings},
        data() {
            return {
                listStar: [1, 2, 3, 4, 5],
                restaurant: {}
            }
        },
        created() {
            this.loadRestaurant()
        },
        methods: {
            async loadRestaurant() {
                this.restaurant = await fetch(
                    `${this.$store.getters.getServerUrl}restaurant-detail/${this.id}`
                ).then(response => response.json())
            }
        }
    }
</script>

<style scoped>
    .single {
        outline: none;
        outline-offset: -2px;
        cursor: inherit;
        color: rgb(33, 37, 41);
        font-size: 16px;
        background-color: rgba(0, 0, 0, 0);
        font-family: Lato, sans-serif;
    }
    .li-restaurant{
        list-style: none;
    }
</style>
